| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Namespaces | Typedefs | Enumerations | Functions
fsa_family.hpp File Reference
API

filesystem specific attributes available families and fsa_scope definition More...

`#include <string>`
`#include <set>`
`#include "integers.hpp"`

Go to the source code of this file.

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs
using | libdar::fsa_scope = std::set<fsa_family>
| set of fsa families

## Enumerations
enum | libdar::fsa_family { fsaf_hfs_plus , fsaf_linux_extX }
| FSA family. More...
enum | libdar::fsa_nature { fsan_unset , fsan_creation_date , fsan_append_only , fsan_compressed , fsan_no_dump , fsan_immutable , fsan_data_journaling , fsan_secure_deletion , fsan_no_tail_merging , fsan_undeletable , fsan_noatime_update , fsan_synchronous_directory , fsan_synchronous_update , fsan_top_of_dir_hierarchy }
| FSA nature. More...

## Functions
std::string | libdar::fsa_family_to_string (fsa_family f)
| convert fsa family to readable std::string
std::string | libdar::fsa_nature_to_string (fsa_nature n)
| convert fsa nature to readable std::string
fsa_scope | libdar::all_fsa_families ()
| provides a scope containing all FSA families
infinint | libdar::fsa_scope_to_infinint (const fsa_scope &val)
| convert an fsa scope to infinint
fsa_scope | libdar::infinint_to_fsa_scope (const infinint &ref)
| convert an infinint to fsa_scape
std::string | libdar::fsa_scope_to_string (bool saved, const fsa_scope &scope)
| convert an fsa scope to readable string

## Detailed Description

filesystem specific attributes available families and fsa_scope definition

Definition in file fsa_family.hpp.